@echo off
echo ----- Assembling %1 for the TI-83 Plus...
copy %2\%1%3 %1%3
echo #define TI83P >temp.z80
if exist %1.z80 type %1.z80 >>temp.z80
if exist %1.asm type %1.asm >>temp.z80
tasm -80 -i -b temp.z80 %1.bin
if errorlevel 1 goto ERRORS
devpac8x %1
rem copy %1.83p %1.8xp >nul
echo ----- Assembling %1 for the TI-83...
echo #define TI83 >temp.z80
if exist %1.z80 type %1.z80 >>temp.z80
if exist %1.asm type %1.asm >>temp.z80
tasm -80 -i -b temp.z80 %1.bin
if errorlevel 1 goto ERRORS
devpac83 %1
echo ----- Success!
echo TI-83 version is %1.83p
echo TI-83 Plus version is %1.8xp
goto DONE
:ERRORS
echo ----- There were errors.
del temp.z80 >nul
del %1.bin >nul
del *.8?p >nul
:DONE
copy %1.8xp %2\%1.8xp
copy %1.83p %2\%1.83p
del %1%3
del %1.8xp
del %1.83p
del temp.lst >nul
del temp.z80 >nul
del %1.bin >nul
